import z from 'zod';
export declare const getAllEventFolderResponseSchema: z.ZodObject<{
    folders: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        events: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            date: z.ZodDate;
            location: z.ZodString;
            folderId: z.ZodNullable<z.ZodString>;
            tagAssistedId: z.ZodString;
            tagConfirmedId: z.ZodString;
            supraEventId: z.ZodNullable<z.ZodString>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }, {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }>, "many">;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        events: {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }, {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        events: {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    folders: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        events: {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }[];
}, {
    folders: {
        id: string;
        name: string;
        color: string;
        created_at: Date;
        updated_at: Date;
        events: {
            location: string;
            id: string;
            name: string;
            date: Date;
            created_at: Date;
            updated_at: Date;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }[];
}>;
declare const GetAllEventFolderResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    folders: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        color: z.ZodString;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        events: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            date: z.ZodString;
            location: z.ZodString;
            folderId: z.ZodNullable<z.ZodString>;
            tagAssistedId: z.ZodString;
            tagConfirmedId: z.ZodString;
            supraEventId: z.ZodNullable<z.ZodString>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }, {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }>, "many">;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        events: {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }, {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        events: {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    folders: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        events: {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }[];
}, {
    folders: {
        id: string;
        name: string;
        color: string;
        created_at: string;
        updated_at: string;
        events: {
            location: string;
            id: string;
            name: string;
            date: string;
            created_at: string;
            updated_at: string;
            folderId: string | null;
            tagAssistedId: string;
            tagConfirmedId: string;
            supraEventId: string | null;
        }[];
    }[];
}>>;
export declare class GetAllEventFolderResponseDto extends GetAllEventFolderResponseDto_base {
}
export {};
