import z from 'zod';
export declare const createEventSchema: z.ZodObject<z.objectUtil.extendShape<Pick<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "location" | "name" | "date" | "folderId">, {
    subEvents: z.ZodOptional<z.ZodArray<z.ZodObject<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodDate;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "location" | "name" | "date">, "strip", z.ZodTypeAny, {
        location: string;
        name: string;
        date: Date;
    }, {
        location: string;
        name: string;
        date: Date;
    }>, "many">>;
}>, "strip", z.ZodTypeAny, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    subEvents?: {
        location: string;
        name: string;
        date: Date;
    }[] | undefined;
}, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    subEvents?: {
        location: string;
        name: string;
        date: Date;
    }[] | undefined;
}>;
declare const CreateEventDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    location: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    subEvents: z.ZodOptional<z.ZodArray<z.ZodObject<{
        location: z.ZodString;
        name: z.ZodString;
        date: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        location: string;
        name: string;
        date: string;
    }, {
        location: string;
        name: string;
        date: string;
    }>, "many">>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    subEvents?: {
        location: string;
        name: string;
        date: string;
    }[] | undefined;
}, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    subEvents?: {
        location: string;
        name: string;
        date: string;
    }[] | undefined;
}>>;
export declare class CreateEventDto extends CreateEventDto_base {
}
export declare const createEventResponseSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>;
declare const CreateEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>>;
export declare class CreateEventResponseDto extends CreateEventResponseDto_base {
}
export {};
