"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.locationSchema = void 0;
const translate_1 = require("../../i18n/translate");
const zod_1 = __importDefault(require("zod"));
exports.locationSchema = zod_1.default.object({
    id: zod_1.default.string().uuid({
        message: (0, translate_1.translate)('model.location.id.uuid'),
    }),
    latitude: zod_1.default
        .number()
        .min(-90, {
        message: (0, translate_1.translate)('model.location.latitude.minmax'),
    })
        .max(90, {
        message: (0, translate_1.translate)('model.location.latitude.minmax'),
    }),
    longitude: zod_1.default
        .number()
        .min(-180, {
        message: (0, translate_1.translate)('model.location.longitude.minmax'),
    })
        .max(180, {
        message: (0, translate_1.translate)('model.location.longitude.minmax'),
    }),
    country: zod_1.default.string(),
    state: zod_1.default.string(),
    city: zod_1.default.string(),
    created_at: zod_1.default.date(),
    updated_at: zod_1.default.date(),
});
//# sourceMappingURL=location.dto.js.map