import z from 'zod';
export declare const updateProfileSchema: z.ZodObject<z.objectUtil.extendShape<{
    phoneNumber: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    secondaryPhoneNumber: z.ZodOptional<z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>>;
    fullName: z.ZodOptional<z.ZodString>;
    profilePictureUrl: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    mail: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    gender: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    birthDate: z.ZodOptional<z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>>;
    instagram: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    dni: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    alternativeNames: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    isInTrash: z.ZodOptional<z.ZodBoolean>;
    movedToTrashDate: z.ZodOptional<z.ZodNullable<z.ZodDate>>;
}, {
    residence: z.ZodOptional<z.ZodObject<Pick<{
        id: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        country: z.ZodString;
        state: z.ZodString;
        city: z.ZodString;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "latitude" | "longitude" | "state" | "country" | "city">, "strip", z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }>>;
    birth: z.ZodOptional<z.ZodObject<Pick<{
        id: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        country: z.ZodString;
        state: z.ZodString;
        city: z.ZodString;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "latitude" | "longitude" | "state" | "country" | "city">, "strip", z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }>>;
    tags: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}>, "strip", z.ZodTypeAny, {
    phoneNumber?: string | undefined;
    secondaryPhoneNumber?: string | null | undefined;
    fullName?: string | undefined;
    profilePictureUrl?: string | null | undefined;
    mail?: string | null | undefined;
    tags?: string[] | undefined;
    gender?: string | null | undefined;
    birthDate?: Date | null | undefined;
    instagram?: string | null | undefined;
    dni?: string | null | undefined;
    alternativeNames?: string[] | undefined;
    isInTrash?: boolean | undefined;
    movedToTrashDate?: Date | null | undefined;
    residence?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
    birth?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
}, {
    phoneNumber?: string | undefined;
    secondaryPhoneNumber?: string | null | undefined;
    fullName?: string | undefined;
    profilePictureUrl?: string | null | undefined;
    mail?: string | null | undefined;
    tags?: string[] | undefined;
    gender?: string | null | undefined;
    birthDate?: string | null | undefined;
    instagram?: string | null | undefined;
    dni?: string | null | undefined;
    alternativeNames?: string[] | undefined;
    isInTrash?: boolean | undefined;
    movedToTrashDate?: Date | null | undefined;
    residence?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
    birth?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
}>;
declare const UpdateProfileDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    phoneNumber: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    secondaryPhoneNumber: z.ZodOptional<z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>>;
    fullName: z.ZodOptional<z.ZodString>;
    profilePictureUrl: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    mail: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    gender: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    birthDate: z.ZodOptional<z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>>;
    instagram: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    dni: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    alternativeNames: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    isInTrash: z.ZodOptional<z.ZodBoolean>;
    movedToTrashDate: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    residence: z.ZodOptional<z.ZodObject<{
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        state: z.ZodString;
        country: z.ZodString;
        city: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }>>;
    birth: z.ZodOptional<z.ZodObject<{
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        state: z.ZodString;
        country: z.ZodString;
        city: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }, {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    }>>;
    tags: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    phoneNumber?: string | undefined;
    secondaryPhoneNumber?: string | null | undefined;
    fullName?: string | undefined;
    profilePictureUrl?: string | null | undefined;
    mail?: string | null | undefined;
    tags?: string[] | undefined;
    gender?: string | null | undefined;
    birthDate?: Date | null | undefined;
    instagram?: string | null | undefined;
    dni?: string | null | undefined;
    alternativeNames?: string[] | undefined;
    isInTrash?: boolean | undefined;
    movedToTrashDate?: string | null | undefined;
    residence?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
    birth?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
}, {
    phoneNumber?: string | undefined;
    secondaryPhoneNumber?: string | null | undefined;
    fullName?: string | undefined;
    profilePictureUrl?: string | null | undefined;
    mail?: string | null | undefined;
    tags?: string[] | undefined;
    gender?: string | null | undefined;
    birthDate?: string | null | undefined;
    instagram?: string | null | undefined;
    dni?: string | null | undefined;
    alternativeNames?: string[] | undefined;
    isInTrash?: boolean | undefined;
    movedToTrashDate?: string | null | undefined;
    residence?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
    birth?: {
        latitude: number;
        longitude: number;
        state: string;
        country: string;
        city: string;
    } | undefined;
}>>;
export declare class UpdateProfileDto extends UpdateProfileDto_base {
}
export declare const updateProfileResponseSchema: z.ZodObject<{
    id: z.ZodString;
    shortId: z.ZodNumber;
    phoneNumber: z.ZodEffects<z.ZodString, string, string>;
    secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
    fullName: z.ZodString;
    firstName: z.ZodNullable<z.ZodString>;
    gender: z.ZodNullable<z.ZodString>;
    birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
    profilePictureUrl: z.ZodNullable<z.ZodString>;
    instagram: z.ZodNullable<z.ZodString>;
    mail: z.ZodNullable<z.ZodString>;
    dni: z.ZodNullable<z.ZodString>;
    alternativeNames: z.ZodArray<z.ZodString, "many">;
    birthLocationId: z.ZodNullable<z.ZodString>;
    residenceLocationId: z.ZodNullable<z.ZodString>;
    isInTrash: z.ZodBoolean;
    movedToTrashDate: z.ZodNullable<z.ZodDate>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: Date | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: string | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}>;
declare const UpdateProfileResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    shortId: z.ZodNumber;
    phoneNumber: z.ZodEffects<z.ZodString, string, string>;
    secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
    fullName: z.ZodString;
    firstName: z.ZodNullable<z.ZodString>;
    gender: z.ZodNullable<z.ZodString>;
    birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
    profilePictureUrl: z.ZodNullable<z.ZodString>;
    instagram: z.ZodNullable<z.ZodString>;
    mail: z.ZodNullable<z.ZodString>;
    dni: z.ZodNullable<z.ZodString>;
    alternativeNames: z.ZodArray<z.ZodString, "many">;
    birthLocationId: z.ZodNullable<z.ZodString>;
    residenceLocationId: z.ZodNullable<z.ZodString>;
    isInTrash: z.ZodBoolean;
    movedToTrashDate: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: string;
    updated_at: string;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: Date | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: string | null;
}, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: string;
    updated_at: string;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: string | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: string | null;
}>>;
export declare class UpdateProfileResponseDto extends UpdateProfileResponseDto_base {
}
export {};
